Subject: Re: bug#1155: 23.0.60; GUD hangs

From: Nick Roberts <[email-masked]>
Date: Tue, 14 Oct 2008 20:49:03 +1300

> I try to debug a program with M-x gdb, like I did in the past, but it
 > does not seem to work in recent emacsen. gdb starts (in a *gud*
 > buffer) but does not respond to commands. Even a simple "help" does
 > not suceed.
 > 
 > Maybe I am doing something wrong (then please correct me), but it does
 > work fine in emacs 21. I experienced the same behaviour here in an emacs
 > 23.0.60.1 and 22.1.1 (all three versions as shipped in ubuntu hardy)

M-x gdb works differently in Emacs 21, but similarly in Emacs 22.1 and
Emacs 23.0.60.  Emacs 22.1 has been included with many distributions including
Ubuntu Hardy and there have been few bug reports, so I suspect it has something
to do with your set up.

Have you read the node in the Emacs manual about bug reporting?

In particular what happens if you don't load your .emacs, i.e., start Emacs
with "-q"?

What version of GDB are you using?

 > BTW, this is my first bug report, but it is my second try :
 >  M-x bug-report seems to be address messages by default to
 > [email-masked] that goes nowhere. But maybe I am perhaps
 > doing something wrong.

[email-masked] is an active mailing list and the right one for
reporting bugs in Emacs 23.0.60.  Maybe there is something wrong with your
mail server.

 > ...
 > Recent input:
 > M-x g d b <return> <backspace> <backspace> <backspace>
 > <backspace> <backspace> <backspace> <backspace> <backspace>
 > <backspace> <backspace> <backspace> <backspace> <backspace>
 > <backspace> <return> h e l p <return> C-c C-c M-x r
 > e p o r t - e m a c s - b u g <return>

What text do you have in the mini-buffer when you type <return> for the
second time?

-- 
Nick                                           http://www.inet.net.nz/~nickrob